All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::ilu0_tag Class Reference

A tag for incomplete LU factorization with static pattern (ILU0) More...

`#include <ilu0.hpp>`

## Public Member Functions

| ilu0_tag (bool with_level_scheduling=false)
bool | use_level_scheduling () const
void | use_level_scheduling (bool b)

## Detailed Description

A tag for incomplete LU factorization with static pattern (ILU0)

Examples:
  iterative-ublas.cpp, and iterative.cpp.

Definition at line 58 of file ilu0.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::ilu0_tag::ilu0_tag | ( | bool | with_level_scheduling = `false` | ) |

inline

Definition at line 61 of file ilu0.hpp.

## Member Function Documentation

bool viennacl::linalg::ilu0_tag::use_level_scheduling | ( |  | ) | const

inline

Definition at line 63 of file ilu0.hpp.

void viennacl::linalg::ilu0_tag::use_level_scheduling | ( | bool | b | ) |

inline

Definition at line 64 of file ilu0.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/ilu/ilu0.hpp